OPTION DOTNAME
OPTION PROLOGUE:rbpFramePrologue
OPTION EPILOGUE:none
include includes\win64.inc
include includes\temphls.inc
include includes\kernel32.inc
includelib includes\kernel32.lib
include includes\ntdll.inc
includelib includes\ntdll.lib
include includes\user32.inc
includelib includes\user32.lib
;---------------------------
pushaddr macro x
	db 68h
	dd x
endm
IMAGE_BASE	equ 400000h
;---------------------------------
include includes\gdi32.inc
includelib includes\gdi32.lib
;---------------------------------
include includes\comctl32.inc
includelib includes\comctl32.lib
include includes\comdlg32.inc
includelib includes\comdlg32.lib
include includes\shell32.inc
includelib includes\shell32.lib
;--------------------------------
du	macro string
local bslash
bslash = 0
	irpc c,<string>
	if bslash eq 0
		if '&c' eq "/"
	        bslash = 1
		elseif '&c'gt 127
		db ('&c'- 0B0h),4
		else
		dw '&c'
		endif
	else
           bslash = 0
           if '&c' eq "n"
           DW 0Dh,0Ah
           elseif '&c' eq "/"
           dw '/'
           elseif '&c' eq "r"
           dw 0Dh
           elseif '&c' eq "l"
           dw 0Ah
           elseif '&c' eq "s"
           dw 20h
           elseif '&c' eq "c"
           dw 3Bh
           elseif '&c' eq "t"
           dw 9
	   endif
	endif
	endm
	dw 0
	endm
;--------------------------------
;include includes\ole32.inc
;includelib includes\ole32.lib